<?php

declare(strict_types=1);


namespace App\Command;


use App\Arbitration\Inner\Stuff\ArbitrationMarketChainsFinder;
use App\Exchanges\Kuna\KunaExchange;
use App\Exchanges\MarketInterface;
use Symfony\Component\Console\Command\Command;
use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Output\OutputInterface;

class TestCommand extends Command
{

    protected static $defaultName = 'test:test';
    /**
     * @var KunaExchange
     */
    private KunaExchange $kunaExchange;

    public function __construct(
        KunaExchange $kunaExchange
    )
    {
        parent::__construct(self::$defaultName);
        $this->kunaExchange = $kunaExchange;
    }

    public function execute(InputInterface $input, OutputInterface $output)
    {
        $finder = new ArbitrationMarketChainsFinder();

        $chains = $finder->findChainsInExchange($this->kunaExchange, 5);

        foreach ($chains as $chain) {
            echo implode(' -> ', array_map(
                    function (MarketInterface $market) {
                        return $market->getPair()->getBase() . '/' . $market->getPair()->getQuote();
                    },
                    $chain->getMarkets()
                )) . PHP_EOL;
        }

        return 0;
    }
}