<?php

declare(strict_types=1);


namespace App\Exchanges\Kuna;


use App\Exchanges\ExchangeInterface;

class KunaExchange implements ExchangeInterface
{

    /**
     * @var KunaApiExecutor
     */
    private KunaApiExecutor $apiExecutor;

    public function __construct(
        KunaApiExecutor $apiExecutor
    )
    {
        $this->apiExecutor = $apiExecutor;
    }

    /**
     * @inheritDoc
     */
    public function getMarkets(): array
    {
        $data = $this->apiExecutor->getMarkets();

        $markets = [];
        foreach ($data as $marketData) {
            $markets[] = KunaMarket::createFromApiData($marketData, $this->apiExecutor);
        }

        return $markets;
    }
}