<?php

declare(strict_types=1);


namespace App\Utils\Money;


class Currency
{
    private string $code;
    private int $precision;

    public function __construct(
        string $code,
        int $precision = 2
    )
    {
        $this->code = $code;
        $this->precision = $precision;
    }

    public function isEqual(Currency $currency): bool
    {
        return $this->code === $currency->getCode();
    }

    /**
     * @return string
     */
    public function getCode(): string
    {
        return $this->code;
    }

    public function __toString()
    {
        return $this->code;
    }
}