<?php

declare(strict_types=1);


namespace App\Utils\Money;


class Money
{

    private string $amount;
    private Currency $currency;

    public function __construct(
        string $amount,
        Currency $currency
    )
    {
        $this->amount = $amount;
        $this->currency = $currency;
    }

    /**
     * @return Currency
     */
    public function getCurrency(): Currency
    {
        return $this->currency;
    }

    /**
     * @return string
     */
    public function getAmount(): string
    {
        return $this->amount;
    }
}