<?php

declare(strict_types=1);


namespace App\Utils\Order\Book;


use App\Utils\Order\Order;

class OrderBook
{

    private array $bids;
    private array $asks;

    /**
     * OrderBook constructor.
     * @param Order[] $bids
     * @param Order[] $asks
     */
    public function __construct(
        array $bids,
        array $asks
    )
    {
        $this->bids = $bids;
        $this->asks = $asks;
    }

    /**
     * @return Order[]
     */
    public function getAsks()
    {
        return $this->asks;
    }

    /**
     * @return Order[]
     */
    public function getBids()
    {
        return $this->bids;
    }
}