<?php

declare(strict_types=1);

namespace App\Utils\Order;

use App\Utils\Money\Money;

class Order
{

    private Money $from;
    private Money $to;

    public function __construct(
        Money $from,
        Money $to
    )
    {
        $this->from = $from;
        $this->to = $to;
    }

    /**
     * @return Money
     */
    public function getFrom(): Money
    {
        return $this->from;
    }

    /**
     * @return Money
     */
    public function getTo(): Money
    {
        return $this->to;
    }
}